<packet name="UpdateSkillBook">
	<version number="1">
		<u16 name="skill_count">
		<u32 name="packed_size">
		<array name="skill_array" count="var:skill_count">
			<u32 name="skill_id">
			<u16 name="current_val">
			<u16 name="max_val">
			<u16 name="skill_delta">
			<u16 name="skill_delta2">
		</array>
	</version>
	<version number="373">
		<u16 name="skill_count">
		<u32 name="packed_size">
		<array name="skill_array" count="var:skill_count">
			<u32 name="skill_id">
			<u16 name="current_val">
			<u16 name="base_val">
			<u16 name="max_val">
			<u16 name="skill_delta">
			<u16 name="skill_delta2">
			<u8 name="language_unknown">
		</array>
	</version>
	<version number="546">
		<u16 name="skill_count">
		<u32 name="packed_size">
		<u8 name="unknown">
		<array name="skill_array" count="var:skill_count">
			<u32 name="skill_id">
			<u32 name="type">
			<u16 name="current_val">
			<u16 name="base_val">
			<u16 name="max_val">
			<u16 name="skill_delta">
			<u16 name="skill_delta2">
			<u8 name="display_minval">
			<u8 name="display_maxval">
			<u8 name="language_unknown">
		</array>
	</version>
	<version number="865">
		<u16 name="skill_count">
		<u32 name="packed_size">
		<u8 name="unknown">
		<array name="skill_array" count="var:skill_count">
			<u32 name="skill_id">
			<u32 name="type">
			<u16 name="current_val">
			<u16 name="base_val">
			<u16 name="max_val">
			<u16 name="skill_delta">
			<u16 name="skill_delta2">
			<u8 name="display_minval">
			<u8 name="display_maxval">
			<u8 name="language_unknown">
		</array>
		<u8 name="unknown4">
	</version>
</packet>